JavaScript
import { createCognitioClient } from "@cognitio/sdk
const client = createCognitioClient()
await client.session.commands({
...
})[
{
"name": "<string>",
"template": "<string>",
"hints": [
"<string>"
],
"description": "<string>",
"agent": "<string>",
"model": "<string>",
"source": "command",
"origin": "builtin",
"pluginName": "<string>",
"pluginRoot": "<string>",
"skillDir": "<string>",
"allowedTools": [
"<string>"
],
"disallowedTools": [
"<string>"
],
"subtask": true
}
]{
"data": "<unknown>",
"errors": [
{}
],
"success": false
}{
"name": "NotFoundError",
"data": {
"message": "<string>"
}
}API Reference
List session commands
Get commands available to a session, including session-scoped runtime commands and plugins.
GET
/
session
/
{sessionID}
/
command
JavaScript
import { createCognitioClient } from "@cognitio/sdk
const client = createCognitioClient()
await client.session.commands({
...
})[
{
"name": "<string>",
"template": "<string>",
"hints": [
"<string>"
],
"description": "<string>",
"agent": "<string>",
"model": "<string>",
"source": "command",
"origin": "builtin",
"pluginName": "<string>",
"pluginRoot": "<string>",
"skillDir": "<string>",
"allowedTools": [
"<string>"
],
"disallowedTools": [
"<string>"
],
"subtask": true
}
]{
"data": "<unknown>",
"errors": [
{}
],
"success": false
}{
"name": "NotFoundError",
"data": {
"message": "<string>"
}
}Path Parameters
Pattern:
^ses.*Response
List of session commands
Available options:
command, mcp, skill Available options:
builtin, config, mcp, skill, runtime, plugin